.tooltip {
  padding: 10px 15px;
  width: 200px;
  display: none;
  color: #fff;
  text-align: left;
  font-size: 12px;

  position: fixed !important;
  z-index: 999;
  display: block;
  top: 40%;
  display: flex;
  align-items: center;
  left: 34vw;
  top: 25vh;
}

.ui-tooltip {
  background: #f0f0f0;
  color: black;
  text-align: left;
  width: 350px;
}

ul.ui-autocomplete li.ui-menu-item {
  text-align: left;
}

input,
textarea,
button {
  border: 1px solid #aaaaaa /*{borderColorContent}*/;
  color: #000000 /*{fcContent}*/;
  border-top-left-radius: 4px /*{cornerRadius}*/;
  border-top-right-radius: 4px /*{cornerRadius}*/;
  border-bottom-left-radius: 4px /*{cornerRadius}*/;
  border-bottom-right-radius: 4px /*{cornerRadius}*/;
  background-color: #f0f0f0;
}

select {
  border: 1px solid #aaaaaa /*{borderColorContent}*/;
}

.select-box {
  margin-bottom: 4px;
  margin-right: 4px;
  margin-top: 4px;
  overflow: hidden;
  color: #000000;
  background-color: #ffffff;
}

.select-box select {
  box-shadow: none;
  background-color: transparent;
  background-image: none;
}

.select-box200 {
  width: 200px;
}

.select-width100 {
  margin-bottom: 4px;
  margin-right: 4px;
  margin-top: 4px;
  width: 100px;
  overflow: hidden;
}

.select-width200 {
  margin-bottom: 4px;
  margin-right: 4px;
  margin-top: 4px;
  width: 200px;
  overflow: hidden;
}

.select-width300 {
  margin-bottom: 4px;
  margin-right: 4px;
  margin-top: 4px;
  width: 300px;
}

.select-width400 {
  margin-bottom: 4px;
  margin-right: 4px;
  margin-top: 4px;
  width: 400px;
}

.select-width500 {
  margin-bottom: 4px;
  margin-right: 4px;
  margin-top: 4px;
  width: 500px;
}

.linfo {
  color: #f80000;
  font-weight: bold;
}

.option-buttons {
  padding: 3px 0 2px 0;
}

.align-center {
  text-align: center;
}
.align-left {
  text-align: left;
}

.ltext {
  text-align: left;
}

.no-break {
  white-space: nowrap;
}

.assigned-locker-table {
  padding: 0px;
  margin: 0px;
}

.assigned-locker-table td {
  padding: 0px;
  margin: 0px;
}

label {
  padding: 0px;
  margin: 0px;
}

.alert-wrapper {
  width: 100%;
  height: 500px;
  margin: auto;
}

.alert-box {
  z-index: 99999;
  position: absolute;
  left: 0;
  right: 0;

  height: 50px;
  width: 350px;

  background-color: #000;
  color: white;

  padding: 0;
  padding: 25px;
  margin: auto;
  margin-top: 200px;
  border: 1px solid transparent;
  border-radius: 10px;
  float: left;
}

.success {
  color: #ffffff;
  background-color: #008000;
  font-weight: bold;
  border-color: #d6e9c6;
  display: none;
  text-align: center;
}

.deleted-box,
.unable-to-delete,
.message-box,
.student-max,
.family-max {
  color: #ffffff;
  background-color: #800000;
  font-weight: bold;
  border-color: #d6e9c6;
  display: none;
  text-align: center;
}

.appointments {
  color: #000000;
  background-color: #ffffff;
  border-color: #d6e9c6;
}

.appointments-table {
  font-size: 9px;
}

/* Tooltip container */
.tooltip {
  /* position: absolute; */
  display: block;
  border-bottom: 1px dotted black; /* If you want dots under the hoverable text */
}
.data-even {
  position: relative;
}

/* Tooltip text */
.tooltip .tooltiptext {
  visibility: hidden;
  width: 120px;
  background-color: black;
  color: #fff;
  text-align: center;
  padding: 5px 0;
  border-radius: 6px;

  /* Position the tooltip text - see examples below! */
  position: absolute;
  z-index: 1;
}

.tooltip .tooltiptext {
  width: 120px;
  top: 100%;
  left: 50%;
  margin-left: -60px; /* Use half of the width (120/2 = 60), to center the tooltip */
}

/* Show the tooltip text when you mouse over the tooltip container */
.tooltip:hover .tooltiptext {
  visibility: visible;
}

.tooltip .tooltiptext::after {
  content: " ";
  position: absolute;
  bottom: 100%; /* At the top of the tooltip */
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: transparent transparent black transparent;
}

.profile-header {
  width: 100%;
  background: #000000;
  color: #ffffff;
  font-weight: bold;
}

#combo-message {
  width: 230px;
  background: #eeeeee;
  text-align: center;
  padding: 5px;
}

#ccstatement {
  background: #eeeeee;
  font-weight: bold;
  padding: 5px;
}

.command-span {
  float: right;
  font-size: 10px;
  font-weight: normal;
}

.toggle-category,
.toggle-subcategory {
  float: left;
  font-weight: bold;
  font-size: 20px;
  width: 15px;
}

.fee-text {
  float: left;
  padding: 0 20px 0 0;
  margin: 0 0 0 10px;
}

.school-fee-subcategory-header {
  color: #000000;
  background: #aaaaaa;
  margin: 1px;
  padding: 1px;
  font-weight: bold;
  font-size: 12px;
  text-align: left;
  border-bottom: 2px solid black;
}

.subcategory {
  margin: 0 0 0 20px;
}

.school-fee-description {
  margin: 0 0 0 40px;
}

.school-fee {
  float: right;
  margin: 0 50px 0 0;
}

.table-fees {
  margin: 10px;
  padding: 0px;
  border-spacing: 2px;
}

.fee-cell {
  text-align: left;
}

.fee-icon {
  margin: 0 40px 0 0;
}

.movebuttons {
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}

.fee-heading-row {
  background-color: #008000;
  color: #ffffff;
}

.fee-heading {
  font-weight: bold;
  font-size: 14px;
  color: #ffffff;
}

.fee-break {
  font-weight: normal;
  font-size: 10px;
  color: #aaaaaa;
}

#appt-form .table-responsive td {
  padding: 5px !important;
}

#site-links {
  display: none;
}

.appt-time-text {
  color: #000000;
  color: #404040;
  font-size: 12px;
  display: inline-block;
}

.cal-heading {
  padding: 9px 0;
  margin-bottom: 10px;
}

.block-heading {
  padding: 9px 0;
  margin-bottom: 10px;
  background-color: #E08010;
  color: #ffffff;
}

.dataTables_wrapper.no-footer .dataTables_scrollBody {
  border: none !important;
}

.option-buttons a, .btn {
  margin-bottom: 5px;
}

.btn-login:hover,
a.btn-login:hover {
  color: rgb(233, 233, 233);
}

input {
  padding: 4px;
}

#alert-wrapper {
  position: fixed;
  z-index: 999;
  display: block;
  top: 40%;
  display: flex;
  align-items: center;
  left: 34vw;
  top: 25vh;
}

.table-responsive table,
table.content-table {
  width: 100%;
  margin: 0 auto;
}

table.content-table td {
   padding: 2px;
}

table.table-responsive {
  margin: 0 auto;
}

.schedule-wrapper tbody td.unavailable {
  color: #a2a2a2;
}

table.dataTable .cal-heading-cell {
  background-color: rgb(0, 128, 0);
  background-color: #004000;
  color: white;
  border: 1px solid #ffffff;
}

.schedule-wrapper .schedule--body td {
  min-width: 200px;
}

.schedule-wrapper {
  max-width: 915px;
}

table.dataTable thead .sorting:after,
table.dataTable thead .sorting:before,
table.dataTable thead .sorting_asc:after,
table.dataTable thead .sorting_asc:before,
table.dataTable thead .sorting_asc_disabled:after,
table.dataTable thead .sorting_asc_disabled:before,
table.dataTable thead .sorting_desc:after,
table.dataTable thead .sorting_desc:before,
table.dataTable thead .sorting_desc_disabled:after,
table.dataTable thead .sorting_desc_disabled:before {
  bottom: 0.5em;
}

@media only screen and (max-device-width: 768px) {
  .schedule-wrapper .schedule--body td {
    min-width: 30vw;
    text-align: center;
  }

  .table-responsive td {
    padding: 5px;
    vertical-align: middle;
  }

  .main {
    padding-top: 0px;
  }

  select {
    padding: 10px;
    font-size: 13px;
  }

  select option {
    min-height: 25px;
  }

  #alert-wrapper {
    left: 4vw;
  }
  .schedule-wrapper {
    max-width: 85vw;
  }

  table {
    width: 100%;
  }
  .table > thead > tr > th {
    vertical-align: text-top !important;
  }

  .option-buttons tr {
    display: block;
    width: 100%;
  }
  .option-buttons td {
    display: block;
    width: 50%;
    float: left;
    margin: 0;
    padding: 0;
  }

  .option-buttons td a {
    display: block;
  }

  table.dataTable thead th,
  table.dataTable thead td {
    padding: 8px 10px;
  }

  .schedule-wrapper {
    max-width: 85vw;
  }
}

table {
   border-collapse: inherit;
}


/* CSS entries by Mark */
.message {
   color: #000000;
   background: #ffffee;
	text-align: center;
}

.message p {
   font-size: 12px;
   font-weight: bold;
}

.error, .error a, .red {
   background: #ee0000;
   font-weight: bold;
   font-size: 12px;
   color: #ffffff;
   width: 100%;
}

.red-text {
   color: #ee0000;
   background: #ffffdd;
   padding: 0 10px 0 10px;
}

.red-letters {
   color: #ee0000;
   background: #ffffff;
}

.warning, .warning a {
   background: #F0E070;
   background: #F39F6D;
   font-weight: bold;
   font-size: 12px;
   color: #000000;
   width: 100%;
}

.flagged-bad {
   background: #FF8080;
   padding: 0 10px 0 10px;
}

.flagged-good {
   background: #6CCE3E;
   padding: 0 10px 0 10px;
}

.success-msg {
   background: #808080;
   font-weight: bold;
   font-size: 12px;
   color: #ffffff;
}

.warning-status, .warning-status a {
   background: #FF0000;
   color: #FFFFFF;
   font-weight: bold;
}

.notice-status, .notice-status a {
   background: #F0E070;
   color: #000000;
   font-weight: bold;
}

.notice, .notice a {
   background: #FFF000;
   color: #000000;
}

.incomplete {
  font-weight: bold;
  color: red;
} 

.complete {
  font-weight: bold;
  color: blue;
} 

.btn-green {
  background: #008000;
}

#appointment-calendar {
   height: 500px;
   overflow: scroll;
}

.error-msg-table {
   width: 100%;
   max-height: 15px;
   padding: 0 0 5px 0;
}

.error-span {
   background: #FF0000;
   font-weight: bold;
   font-size: 12px;
   color: #ffffff;
   padding: 5px 10px;
}

.warning-span {
   background: #f08040;
   font-weight: bold;
   font-size: 12px;
   color: #ffffff;
   padding: 5px 10px;
}

.message-span {
   background: #008000;
   font-weight: bold;
   font-size: 12px;
   color: #ffffff;
   padding: 5px 10px;
}

#loading {
   width: 100%;
   height: 100%;
   top: 0px;
   left: 0px;
   position: fixed;
   display: block;
   opacity: 0.7;
   background-color: #fff;
   z-index: 99;
   text-align: center;
}

.fb-like {
   z-index: 99;
}

.action-button {
   display: block;
   position: relative;
   font-size: 12px;
   width: 200px;
   height: 35px;
   margin: 0 0 5px 0;
   background-color: #e8e8e8;
   color: #000000;
   font-weight: bold;
   border: 1px solid #404040;
   margin: 10px 10px;
   line-height: 37px;
}

.small-button {
   display: block;
   position: relative;
   font-size: 12px;
   width: 100px;
   height: 20px;
   margin: 0 0 5px 0;
   background-color: #e8e8e8;
   color: #000000;
   font-weight: bold;
   border: 1px solid #404040;
   margin: 5px 5px;
   line-height: 19px;
}

.exit-button {
   color: red;
   font-weight: bold;
}

.home-button {
   width: 100px;
}

#controls {
   text-align: left;
}

.definition {
   margin: 2px 10px;
}

.definition-cell {
   background-color: #eeeeee;
}

.correct-definition {
   background-color: #00a000;
}

.error-definition {
   background-color: #a00000;
}

.match-table td {
   font-size: 14px;
}

